<?php

class WC_Cart_Widget extends \Elementor\Widget_Base {

    public function get_name() {
        return 'wc-cart-widget';
    }

    public function get_title() {
        return __('WooCommerce Cart Widget', 'wc-cart-dynamic-tags');
    }

    public function get_icon() {
        return 'eicon-cart';
    }

    public function get_categories() {
        return ['woocommerce-elements'];
    }

    protected function render() {
        //if (!class_exists('WC') || !did_action('wp_loaded') || !WC()->cart) {
        //    echo '<p>' . __('Cart is empty or unavailable', 'wc-cart-dynamic-tags') . '</p>';
        //    return;
        //}
    
        if (WC()->cart->get_cart_contents_count() == 0) {
            echo '<p>' . __('Your cart is empty.', 'wc-cart-dynamic-tags') . '</p>';
            return;
        }
    
        WC()->cart->calculate_totals(); // Ensure cart updates
    
        $cart = WC()->cart->get_cart();
        echo '<ul>';
        foreach ($cart as $cart_item) {
            $product = wc_get_product($cart_item['product_id']);
            echo '<li>' . esc_html($product->get_name()) . ' x ' . esc_html($cart_item['quantity']) . '</li>';
        }
        echo '</ul>';
    }
    
    
}
